powered by Jive Software

New Asterisk-IM version


#1

Hello guys.

After some months away, I am back.

I am writing this post to let you know that I should restart to work on Asterisk-IM in the next days. I had some problems with my server that obliged me to start from scratch, and this is one of the reasons (among others) of this huge delay.

Anyway, my initial idea was to work hard on the code to make it fully compliant with XMPP and Asterisk, but it will take some time, so I will first focus on releasing a version compatible with latest Openfire version and Asterisk 14 (I will probably test it on Asterisk 15 too). So, just after the release, I will need some help to test with Asterisk 13 and older versions if possible.

After the “first release” became stable, I want to look carefully at each XMPP message sent by and each Asterisk method used in the plugin, to guarantee that it respects the XEPs and that the Asterisk methods/events used are still supported. Also, I want to look for better methods/events on Asterisk AMI to make it more efficient and I will look for new features that I could add to the plugin.

See you.


#2

Hey guys, it is me again.

I just want to let you know that I already have a “new plugin version” and I should be testing it in the next week, so, it is possible that we have a new release in a couple of weeks.

See ya,

Marcelo


#3

Hello!!!
As it is possible to download Asterisk-IM plug-in for “Openfire 4.1.5 + Asterisk 13.0.192.18” and the installation instruction.


#4

Hello, I’m ready to help test openfire + Asterisk Free PBX (15). But I have problem with SPARK SIP (DIAL plugin not work in last releases).


#5

Is the plugin released for 4.1.6


#6

Can I help to test the new Asterisk-im? OpenFire v4.2.2 and Asterisk v13.

Thank you,


#8

Has there been any follow up information? I’ll be happy to test against my deployment.